export type RenderEntityManager = {
    "version": "0.1.0";
    "name": "render_entity_manager";
    "instructions": [
        {
            "name": "initializeMakerV0";
            "accounts": [
                {
                    "name": "payer";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "maker";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "collection";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "associatedTokenAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "collectionMetadata";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "collectionMasterEdition";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "tokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "associatedTokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "tokenMetadataProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "rent";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "args";
                    "type": {
                        "defined": "InitializeMakerArgsV0";
                    };
                }
            ];
        },
        {
            "name": "addTreeV0";
            "accounts": [
                {
                    "name": "payer";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "updateAuthority";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "maker";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "merkleTree";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "treeConfig";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "bubblegumProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "compressionProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "logWrapper";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "args";
                    "type": {
                        "defined": "AddTreeArgsV0";
                    };
                }
            ];
        },
        {
            "name": "createJobV0";
            "accounts": [
                {
                    "name": "issuingAuthority";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "payer";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "artist";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "maker";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "merkleTree";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "collection";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "collectionMetadata";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "treeConfig";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "bubblegumSigner";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "collectionMasterEdition";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "tokenMetadataProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "logWrapper";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "bubblegumProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "compressionProgram";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "args";
                    "type": {
                        "defined": "CreateJobArgsV0";
                    };
                }
            ];
        },
        {
            "name": "updateMakerV0";
            "accounts": [
                {
                    "name": "maker";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "updateAuthority";
                    "isMut": true;
                    "isSigner": true;
                }
            ];
            "args": [
                {
                    "name": "args";
                    "type": {
                        "defined": "UpdateMakerArgsV0";
                    };
                }
            ];
        }
    ];
    "accounts": [
        {
            "name": "makerV0";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "updateAuthority";
                        "type": "publicKey";
                    },
                    {
                        "name": "issuingAuthority";
                        "type": "publicKey";
                    },
                    {
                        "name": "name";
                        "type": "string";
                    },
                    {
                        "name": "symbol";
                        "type": "string";
                    },
                    {
                        "name": "bump";
                        "type": "u8";
                    },
                    {
                        "name": "merkleTree";
                        "type": "publicKey";
                    },
                    {
                        "name": "collection";
                        "type": "publicKey";
                    },
                    {
                        "name": "collectionBump";
                        "type": "u8";
                    }
                ];
            };
        }
    ];
    "types": [
        {
            "name": "AddTreeArgsV0";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "maxDepth";
                        "type": "u32";
                    },
                    {
                        "name": "maxBufferSize";
                        "type": "u32";
                    }
                ];
            };
        },
        {
            "name": "CreateJobArgsV0";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "name";
                        "type": "string";
                    },
                    {
                        "name": "uri";
                        "type": "string";
                    }
                ];
            };
        },
        {
            "name": "InitializeMakerArgsV0";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "updateAuthority";
                        "type": "publicKey";
                    },
                    {
                        "name": "issuingAuthority";
                        "type": "publicKey";
                    },
                    {
                        "name": "name";
                        "type": "string";
                    },
                    {
                        "name": "symbol";
                        "type": "string";
                    },
                    {
                        "name": "metadataUri";
                        "type": "string";
                    }
                ];
            };
        },
        {
            "name": "UpdateMakerArgsV0";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "updateAuthority";
                        "type": {
                            "option": "publicKey";
                        };
                    },
                    {
                        "name": "issuingAuthority";
                        "type": {
                            "option": "publicKey";
                        };
                    }
                ];
            };
        }
    ];
    "errors": [
        {
            "code": 6000;
            "name": "MintAddressMismatch";
            "msg": "MintAddressMismatch";
        }
    ];
};
export declare const IDL: RenderEntityManager;
//# sourceMappingURL=render_entity_manager.d.ts.map